Index: protocols/msn/ns.c
===================================================================
--- protocols/msn/ns.c	(revision fa29d09342c79b886efacee4cfc3078be5f5a722)
+++ protocols/msn/ns.c	(revision 0da65d5fb37691ed4d31f7ab4058732f1440db6b)
@@ -38,24 +38,24 @@
 gboolean msn_ns_connected( gpointer data, gint source, b_input_condition cond )
 {
-	struct gaim_connection *gc = data;
+	struct im_connection *ic = data;
 	struct msn_data *md;
 	char s[1024];
 	
-	if( !g_slist_find( msn_connections, gc ) )
+	if( !g_slist_find( msn_connections, ic ) )
 		return FALSE;
 	
 	if( source == -1 )
 	{
-		hide_login_progress( gc, "Could not connect to server" );
-		signoff( gc );
+		hide_login_progress( ic, "Could not connect to server" );
+		signoff( ic );
 		return FALSE;
 	}
 	
-	md = gc->proto_data;
+	md = ic->proto_data;
 	
 	if( !md->handler )
 	{
 		md->handler = g_new0( struct msn_handler_data, 1 );
-		md->handler->data = gc;
+		md->handler->data = ic;
 		md->handler->exec_command = msn_ns_command;
 		md->handler->exec_message = msn_ns_message;
@@ -73,8 +73,8 @@
 	
 	g_snprintf( s, sizeof( s ), "VER %d MSNP8 CVR0\r\n", ++md->trId );
-	if( msn_write( gc, s, strlen( s ) ) )
-	{
-		gc->inpa = b_input_add( md->fd, GAIM_INPUT_READ, msn_ns_callback, gc );
-		set_login_progress( gc, 1, "Connected to server, waiting for reply" );
+	if( msn_write( ic, s, strlen( s ) ) )
+	{
+		ic->inpa = b_input_add( md->fd, GAIM_INPUT_READ, msn_ns_callback, ic );
+		set_login_progress( ic, 1, "Connected to server, waiting for reply" );
 	}
 	
@@ -84,11 +84,11 @@
 static gboolean msn_ns_callback( gpointer data, gint source, b_input_condition cond )
 {
-	struct gaim_connection *gc = data;
-	struct msn_data *md = gc->proto_data;
+	struct im_connection *ic = data;
+	struct msn_data *md = ic->proto_data;
 	
 	if( msn_handler( md->handler ) == -1 ) /* Don't do this on ret == 0, it's already done then. */
 	{
-		hide_login_progress( gc, "Error while reading from server" );
-		signoff( gc );
+		hide_login_progress( ic, "Error while reading from server" );
+		signoff( ic );
 		
 		return FALSE;
@@ -100,6 +100,6 @@
 static int msn_ns_command( gpointer data, char **cmd, int num_parts )
 {
-	struct gaim_connection *gc = data;
-	struct msn_data *md = gc->proto_data;
+	struct im_connection *ic = data;
+	struct msn_data *md = ic->proto_data;
 	char buf[1024];
 	
@@ -114,18 +114,18 @@
 		if( cmd[2] && strncmp( cmd[2], "MSNP8", 5 ) != 0 )
 		{
-			hide_login_progress( gc, "Unsupported protocol" );
-			signoff( gc );
+			hide_login_progress( ic, "Unsupported protocol" );
+			signoff( ic );
 			return( 0 );
 		}
 		
 		g_snprintf( buf, sizeof( buf ), "CVR %d 0x0409 mac 10.2.0 ppc macmsgs 3.5.1 macmsgs %s\r\n",
-		                                ++md->trId, gc->username );
-		return( msn_write( gc, buf, strlen( buf ) ) );
+		                                ++md->trId, ic->username );
+		return( msn_write( ic, buf, strlen( buf ) ) );
 	}
 	else if( strcmp( cmd[0], "CVR" ) == 0 )
 	{
 		/* We don't give a damn about the information we just received */
-		g_snprintf( buf, sizeof( buf ), "USR %d TWN I %s\r\n", ++md->trId, gc->username );
-		return( msn_write( gc, buf, strlen( buf ) ) );
+		g_snprintf( buf, sizeof( buf ), "USR %d TWN I %s\r\n", ++md->trId, ic->username );
+		return( msn_write( ic, buf, strlen( buf ) ) );
 	}
 	else if( strcmp( cmd[0], "XFR" ) == 0 )
@@ -136,6 +136,6 @@
 		if( num_parts == 6 && strcmp( cmd[2], "NS" ) == 0 )
 		{
-			b_event_remove( gc->inpa );
-			gc->inpa = 0;
+			b_event_remove( ic->inpa );
+			ic->inpa = 0;
 			closesocket( md->fd );
 			
@@ -143,6 +143,6 @@
 			if( !server )
 			{
-				hide_login_progress_error( gc, "Syntax error" );
-				signoff( gc );
+				hide_login_progress_error( ic, "Syntax error" );
+				signoff( ic );
 				return( 0 );
 			}
@@ -151,7 +151,7 @@
 			server = cmd[3];
 			
-			set_login_progress( gc, 1, "Transferring to other server" );
-			
-			md->fd = proxy_connect( server, port, msn_ns_connected, gc );
+			set_login_progress( ic, 1, "Transferring to other server" );
+			
+			md->fd = proxy_connect( server, port, msn_ns_connected, ic );
 		}
 		else if( num_parts == 6 && strcmp( cmd[2], "SB" ) == 0 )
@@ -162,6 +162,6 @@
 			if( !server )
 			{
-				hide_login_progress_error( gc, "Syntax error" );
-				signoff( gc );
+				hide_login_progress_error( ic, "Syntax error" );
+				signoff( ic );
 				return( 0 );
 			}
@@ -172,11 +172,11 @@
 			if( strcmp( cmd[4], "CKI" ) != 0 )
 			{
-				hide_login_progress_error( gc, "Unknown authentication method for switchboard" );
-				signoff( gc );
+				hide_login_progress_error( ic, "Unknown authentication method for switchboard" );
+				signoff( ic );
 				return( 0 );
 			}
 			
 			debug( "Connecting to a new switchboard with key %s", cmd[5] );
-			sb = msn_sb_create( gc, server, port, cmd[5], MSN_SB_NEW );
+			sb = msn_sb_create( ic, server, port, cmd[5], MSN_SB_NEW );
 			
 			if( md->msgq )
@@ -204,6 +204,6 @@
 		else
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -214,8 +214,8 @@
 		{
 			/* Time for some Passport black magic... */
-			if( !passport_get_id( msn_auth_got_passport_id, gc, gc->username, gc->password, cmd[4] ) )
-			{
-				hide_login_progress_error( gc, "Error while contacting Passport server" );
-				signoff( gc );
+			if( !passport_get_id( msn_auth_got_passport_id, ic, ic->username, ic->password, cmd[4] ) )
+			{
+				hide_login_progress_error( ic, "Error while contacting Passport server" );
+				signoff( ic );
 				return( 0 );
 			}
@@ -227,8 +227,8 @@
 			http_decode( cmd[4] );
 			
-			strncpy( gc->displayname, cmd[4], sizeof( gc->displayname ) );
-			gc->displayname[sizeof(gc->displayname)-1] = 0;
-			
-			if( ( s = set_find( &gc->acc->set, "display_name" ) ) )
+			strncpy( ic->displayname, cmd[4], sizeof( ic->displayname ) );
+			ic->displayname[sizeof(ic->displayname)-1] = 0;
+			
+			if( ( s = set_find( &ic->acc->set, "display_name" ) ) )
 			{
 				g_free( s->value );
@@ -236,13 +236,13 @@
 			}
 			
-			set_login_progress( gc, 1, "Authenticated, getting buddy list" );
+			set_login_progress( ic, 1, "Authenticated, getting buddy list" );
 			
 			g_snprintf( buf, sizeof( buf ), "SYN %d 0\r\n", ++md->trId );
-			return( msn_write( gc, buf, strlen( buf ) ) );
+			return( msn_write( ic, buf, strlen( buf ) ) );
 		}
 		else
 		{
-			hide_login_progress( gc, "Unknown authentication type" );
-			signoff( gc );
+			hide_login_progress( ic, "Unknown authentication type" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -252,6 +252,6 @@
 		if( num_parts != 4 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -261,6 +261,6 @@
 		if( md->handler->msglen <= 0 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -276,5 +276,5 @@
 			
 			if( !*cmd[3] || md->buddycount == 0 )
-				msn_logged_in( gc );
+				msn_logged_in( ic );
 		}
 		else
@@ -283,5 +283,5 @@
 			   Let's assume everything is okay. */
 			
-			msn_logged_in( gc );
+			msn_logged_in( ic );
 		}
 	}
@@ -292,6 +292,6 @@
 		if( num_parts != 4 && num_parts != 5 )
 		{
-			hide_login_progress( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -308,31 +308,31 @@
 				group = md->grouplist[num];
 			
-			add_buddy( gc, group, cmd[1], cmd[2] );
+			add_buddy( ic, group, cmd[1], cmd[2] );
 		}
 		if( list & 2 ) /* AL */
 		{
-			gc->permit = g_slist_append( gc->permit, g_strdup( cmd[1] ) );
+			ic->permit = g_slist_append( ic->permit, g_strdup( cmd[1] ) );
 		}
 		if( list & 4 ) /* BL */
 		{
-			gc->deny = g_slist_append( gc->deny, g_strdup( cmd[1] ) );
+			ic->deny = g_slist_append( ic->deny, g_strdup( cmd[1] ) );
 		}
 		if( list & 8 ) /* RL */
 		{
 			if( ( list & 6 ) == 0 )
-				msn_buddy_ask( gc, cmd[1], cmd[2] );
+				msn_buddy_ask( ic, cmd[1], cmd[2] );
 		}
 		
 		if( --md->buddycount == 0 )
 		{
-			if( gc->flags & OPT_LOGGED_IN )
-			{
-				serv_got_crap( gc, "Successfully transferred to different server" );
+			if( ic->flags & OPT_LOGGED_IN )
+			{
+				serv_got_crap( ic, "Successfully transferred to different server" );
 				g_snprintf( buf, sizeof( buf ), "CHG %d %s %d\r\n", ++md->trId, md->away_state->code, 0 );
-				return( msn_write( gc, buf, strlen( buf ) ) );
+				return( msn_write( ic, buf, strlen( buf ) ) );
 			}
 			else
 			{
-				msn_logged_in( gc );
+				msn_logged_in( ic );
 			}
 		}
@@ -344,6 +344,6 @@
 		if( num_parts != 4 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -363,6 +363,6 @@
 		if( num_parts != 3 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -377,5 +377,5 @@
 			g_snprintf( buf + strlen( buf ), 3, "%02x", digest[i] );
 		
-		return( msn_write( gc, buf, strlen( buf ) ) );
+		return( msn_write( ic, buf, strlen( buf ) ) );
 	}
 	else if( strcmp( cmd[0], "ILN" ) == 0 )
@@ -385,11 +385,11 @@
 		if( num_parts != 6 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
 		
 		http_decode( cmd[4] );
-		serv_buddy_rename( gc, cmd[3], cmd[4] );
+		serv_buddy_rename( ic, cmd[3], cmd[4] );
 		
 		st = msn_away_state_by_code( cmd[2] );
@@ -400,10 +400,10 @@
 		}
 		
-		serv_got_update( gc, cmd[3], 1, 0, 0, 0, st->number, 0 );
+		serv_got_update( ic, cmd[3], 1, 0, 0, 0, st->number, 0 );
 	}
 	else if( strcmp( cmd[0], "FLN" ) == 0 )
 	{
 		if( cmd[1] )
-			serv_got_update( gc, cmd[1], 0, 0, 0, 0, 0, 0 );
+			serv_got_update( ic, cmd[1], 0, 0, 0, 0, 0, 0 );
 	}
 	else if( strcmp( cmd[0], "NLN" ) == 0 )
@@ -413,11 +413,11 @@
 		if( num_parts != 5 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
 		
 		http_decode( cmd[3] );
-		serv_buddy_rename( gc, cmd[2], cmd[3] );
+		serv_buddy_rename( ic, cmd[2], cmd[3] );
 		
 		st = msn_away_state_by_code( cmd[1] );
@@ -428,5 +428,5 @@
 		}
 		
-		serv_got_update( gc, cmd[2], 1, 0, 0, 0, st->number, 0 );
+		serv_got_update( ic, cmd[2], 1, 0, 0, 0, st->number, 0 );
 	}
 	else if( strcmp( cmd[0], "RNG" ) == 0 )
@@ -438,6 +438,6 @@
 		if( num_parts != 7 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -448,6 +448,6 @@
 		if( !server )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -458,6 +458,6 @@
 		if( strcmp( cmd[3], "CKI" ) != 0 )
 		{
-			hide_login_progress_error( gc, "Unknown authentication method for switchboard" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Unknown authentication method for switchboard" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -465,5 +465,5 @@
 		debug( "Got a call from %s (session %d). Key = %s", cmd[5], session, cmd[4] );
 		
-		sb = msn_sb_create( gc, server, port, cmd[4], session );
+		sb = msn_sb_create( ic, server, port, cmd[4], session );
 		sb->who = g_strdup( cmd[5] );
 	}
@@ -478,19 +478,19 @@
 			if( strchr( cmd[4], '@' ) == NULL )
 			{
-				hide_login_progress_error( gc, "Syntax error" );
-				signoff( gc );
+				hide_login_progress_error( ic, "Syntax error" );
+				signoff( ic );
 				return( 0 );
 			}
 			
 			/* We got added by someone. If we don't have this person in permit/deny yet, inform the user. */
-			for( l = gc->permit; l; l = l->next )
+			for( l = ic->permit; l; l = l->next )
 				if( g_strcasecmp( l->data, cmd[4] ) == 0 )
 					return( 1 );
 			
-			for( l = gc->deny; l; l = l->next )
+			for( l = ic->deny; l; l = l->next )
 				if( g_strcasecmp( l->data, cmd[4] ) == 0 )
 					return( 1 );
 			
-			msn_buddy_ask( gc, cmd[4], cmd[5] );
+			msn_buddy_ask( ic, cmd[4], cmd[5] );
 		}
 	}
@@ -499,17 +499,17 @@
 		if( cmd[1] && strcmp( cmd[1], "OTH" ) == 0 )
 		{
-			hide_login_progress_error( gc, "Someone else logged in with your account" );
-			gc->wants_to_die = 1;
+			hide_login_progress_error( ic, "Someone else logged in with your account" );
+			ic->wants_to_die = 1;
 		}
 		else if( cmd[1] && strcmp( cmd[1], "SSD" ) == 0 )
 		{
-			hide_login_progress_error( gc, "Terminating session because of server shutdown" );
+			hide_login_progress_error( ic, "Terminating session because of server shutdown" );
 		}
 		else
 		{
-			hide_login_progress_error( gc, "Session terminated by remote server (reason unknown)" );
-		}
-		
-		signoff( gc );
+			hide_login_progress_error( ic, "Session terminated by remote server (reason unknown)" );
+		}
+		
+		signoff( ic );
 		return( 0 );
 	}
@@ -518,18 +518,18 @@
 		if( num_parts != 5 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
-			return( 0 );
-		}
-		
-		if( g_strcasecmp( cmd[3], gc->username ) == 0 )
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
+			return( 0 );
+		}
+		
+		if( g_strcasecmp( cmd[3], ic->username ) == 0 )
 		{
 			set_t *s;
 			
 			http_decode( cmd[4] );
-			strncpy( gc->displayname, cmd[4], sizeof( gc->displayname ) );
-			gc->displayname[sizeof(gc->displayname)-1] = 0;
-			
-			if( ( s = set_find( &gc->acc->set, "display_name" ) ) )
+			strncpy( ic->displayname, cmd[4], sizeof( ic->displayname ) );
+			ic->displayname[sizeof(ic->displayname)-1] = 0;
+			
+			if( ( s = set_find( &ic->acc->set, "display_name" ) ) )
 			{
 				g_free( s->value );
@@ -541,10 +541,10 @@
 			/* This is not supposed to happen, but let's handle it anyway... */
 			http_decode( cmd[4] );
-			serv_buddy_rename( gc, cmd[3], cmd[4] );
+			serv_buddy_rename( ic, cmd[3], cmd[4] );
 		}
 	}
 	else if( strcmp( cmd[0], "IPG" ) == 0 )
 	{
-		do_error_dialog( gc, "Received IPG command, we don't handle them yet.", "MSN" );
+		do_error_dialog( ic, "Received IPG command, we don't handle them yet.", "MSN" );
 		
 		md->handler->msglen = atoi( cmd[1] );
@@ -552,6 +552,6 @@
 		if( md->handler->msglen <= 0 )
 		{
-			hide_login_progress_error( gc, "Syntax error" );
-			signoff( gc );
+			hide_login_progress_error( ic, "Syntax error" );
+			signoff( ic );
 			return( 0 );
 		}
@@ -563,9 +563,9 @@
 		
 		g_snprintf( buf, sizeof( buf ), "Error reported by MSN server: %s", err->text );
-		do_error_dialog( gc, buf, "MSN" );
+		do_error_dialog( ic, buf, "MSN" );
 		
 		if( err->flags & STATUS_FATAL )
 		{
-			signoff( gc );
+			signoff( ic );
 			return( 0 );
 		}
@@ -581,5 +581,5 @@
 static int msn_ns_message( gpointer data, char *msg, int msglen, char **cmd, int num_parts )
 {
-	struct gaim_connection *gc = data;
+	struct im_connection *ic = data;
 	char *body;
 	int blen = 0;
@@ -617,5 +617,5 @@
 				{
 					if( arg1 )
-						serv_got_crap( gc, "The server is going down for maintenance in %s minutes.", arg1 );
+						serv_got_crap( ic, "The server is going down for maintenance in %s minutes.", arg1 );
 				}
 				
@@ -634,5 +634,5 @@
 				if( inbox && folders )
 				{
-					serv_got_crap( gc, "INBOX contains %s new messages, plus %s messages in other folders.", inbox, folders );
+					serv_got_crap( ic, "INBOX contains %s new messages, plus %s messages in other folders.", inbox, folders );
 				}
 			}
@@ -644,5 +644,5 @@
 				if( from && fromname )
 				{
-					serv_got_crap( gc, "Received an e-mail message from %s <%s>.", fromname, from );
+					serv_got_crap( ic, "Received an e-mail message from %s <%s>.", fromname, from );
 				}
 			}
@@ -665,6 +665,6 @@
 static void msn_auth_got_passport_id( struct passport_reply *rep )
 {
-	struct gaim_connection *gc = rep->data;
-	struct msn_data *md = gc->proto_data;
+	struct im_connection *ic = rep->data;
+	struct msn_data *md = ic->proto_data;
 	char *key = rep->result;
 	char buf[1024];
@@ -677,6 +677,6 @@
 		                       rep->error_string ? rep->error_string : "Unknown error" );
 		
-		hide_login_progress( gc, err );
-		signoff( gc );
+		hide_login_progress( ic, err );
+		signoff( ic );
 		
 		g_free( err );
@@ -685,5 +685,5 @@
 	{
 		g_snprintf( buf, sizeof( buf ), "USR %d TWN S %s\r\n", ++md->trId, key );
-		msn_write( gc, buf, strlen( buf ) );
+		msn_write( ic, buf, strlen( buf ) );
 	}
 }
Index: protocols/msn/sb.c
===================================================================
--- protocols/msn/sb.c	(revision fa29d09342c79b886efacee4cfc3078be5f5a722)
+++ protocols/msn/sb.c	(revision 0da65d5fb37691ed4d31f7ab4058732f1440db6b)
@@ -48,7 +48,7 @@
 }
 
-struct msn_switchboard *msn_sb_create( struct gaim_connection *gc, char *host, int port, char *key, int session )
-{
-	struct msn_data *md = gc->proto_data;
+struct msn_switchboard *msn_sb_create( struct im_connection *ic, char *host, int port, char *key, int session )
+{
+	struct msn_data *md = ic->proto_data;
 	struct msn_switchboard *sb = g_new0( struct msn_switchboard, 1 );
 	
@@ -60,5 +60,5 @@
 	}
 	
-	sb->gc = gc;
+	sb->ic = ic;
 	sb->key = g_strdup( key );
 	sb->session = session;
@@ -70,7 +70,7 @@
 }
 
-struct msn_switchboard *msn_sb_by_handle( struct gaim_connection *gc, char *handle )
-{
-	struct msn_data *md = gc->proto_data;
+struct msn_switchboard *msn_sb_by_handle( struct im_connection *ic, char *handle )
+{
+	struct msn_data *md = ic->proto_data;
 	struct msn_switchboard *sb;
 	GSList *l;
@@ -86,7 +86,7 @@
 }
 
-struct msn_switchboard *msn_sb_by_chat( struct conversation *c )
-{
-	struct msn_data *md = c->gc->proto_data;
+struct msn_switchboard *msn_sb_by_chat( struct groupchat *c )
+{
+	struct msn_data *md = c->ic->proto_data;
 	struct msn_switchboard *sb;
 	GSList *l;
@@ -102,7 +102,7 @@
 }
 
-struct msn_switchboard *msn_sb_spare( struct gaim_connection *gc )
-{
-	struct msn_data *md = gc->proto_data;
+struct msn_switchboard *msn_sb_spare( struct im_connection *ic )
+{
+	struct msn_data *md = ic->proto_data;
 	struct msn_switchboard *sb;
 	GSList *l;
@@ -142,7 +142,7 @@
 		else
 		{
-			i = strlen( MSN_TYPING_HEADERS ) + strlen( sb->gc->username );
+			i = strlen( MSN_TYPING_HEADERS ) + strlen( sb->ic->username );
 			buf = g_new0( char, i );
-			i = g_snprintf( buf, i, MSN_TYPING_HEADERS, sb->gc->username );
+			i = g_snprintf( buf, i, MSN_TYPING_HEADERS, sb->ic->username );
 		}
 		
@@ -177,16 +177,16 @@
 }
 
-struct conversation *msn_sb_to_chat( struct msn_switchboard *sb )
-{
-	struct gaim_connection *gc = sb->gc;
+struct groupchat *msn_sb_to_chat( struct msn_switchboard *sb )
+{
+	struct im_connection *ic = sb->ic;
 	char buf[1024];
 	
 	/* Create the groupchat structure. */
 	g_snprintf( buf, sizeof( buf ), "MSN groupchat session %d", sb->session );
-	sb->chat = serv_got_joined_chat( gc, buf );
+	sb->chat = serv_got_joined_chat( ic, buf );
 	
 	/* Populate the channel. */
 	if( sb->who ) add_chat_buddy( sb->chat, sb->who );
-	add_chat_buddy( sb->chat, gc->username );
+	add_chat_buddy( sb->chat, ic->username );
 	
 	/* And make sure the switchboard doesn't look like a regular chat anymore. */
@@ -202,6 +202,6 @@
 void msn_sb_destroy( struct msn_switchboard *sb )
 {
-	struct gaim_connection *gc = sb->gc;
-	struct msn_data *md = gc->proto_data;
+	struct im_connection *ic = sb->ic;
+	struct msn_data *md = ic->proto_data;
 	
 	debug( "Destroying switchboard: %s", sb->who ? sb->who : sb->key ? sb->key : "" );
@@ -222,5 +222,5 @@
 		g_slist_free( sb->msgq );
 		
-		serv_got_crap( gc, "Warning: Closing down MSN switchboard connection with "
+		serv_got_crap( ic, "Warning: Closing down MSN switchboard connection with "
 		                   "unsent message to %s, you'll have to resend it.",
 		                   sb->who ? sb->who : "(unknown)" );
@@ -253,5 +253,5 @@
 {
 	struct msn_switchboard *sb = data;
-	struct gaim_connection *gc;
+	struct im_connection *ic;
 	struct msn_data *md;
 	char buf[1024];
@@ -261,6 +261,6 @@
 		return FALSE;
 	
-	gc = sb->gc;
-	md = gc->proto_data;
+	ic = sb->ic;
+	md = ic->proto_data;
 	
 	if( source != sb->fd )
@@ -280,7 +280,7 @@
 	
 	if( sb->session == MSN_SB_NEW )
-		g_snprintf( buf, sizeof( buf ), "USR %d %s %s\r\n", ++sb->trId, gc->username, sb->key );
+		g_snprintf( buf, sizeof( buf ), "USR %d %s %s\r\n", ++sb->trId, ic->username, sb->key );
 	else
-		g_snprintf( buf, sizeof( buf ), "ANS %d %s %s %d\r\n", ++sb->trId, gc->username, sb->key, sb->session );
+		g_snprintf( buf, sizeof( buf ), "ANS %d %s %s %d\r\n", ++sb->trId, ic->username, sb->key, sb->session );
 	
 	if( msn_sb_write( sb, buf, strlen( buf ) ) )
@@ -310,5 +310,5 @@
 {
 	struct msn_switchboard *sb = data;
-	struct gaim_connection *gc = sb->gc;
+	struct im_connection *ic = sb->ic;
 	char buf[1024];
 	
@@ -321,6 +321,6 @@
 	if( strcmp( cmd[0], "XFR" ) == 0 )
 	{
-		hide_login_progress_error( gc, "Received an XFR from a switchboard server, unable to comply! This is likely to be a bug, please report it!" );
-		signoff( gc );
+		hide_login_progress_error( ic, "Received an XFR from a switchboard server, unable to comply! This is likely to be a bug, please report it!" );
+		signoff( ic );
 		return( 0 );
 	}
@@ -374,5 +374,5 @@
 			{
 				g_snprintf( buf, sizeof( buf ), "MSN groupchat session %d", sb->session );
-				sb->chat = serv_got_joined_chat( gc, buf );
+				sb->chat = serv_got_joined_chat( ic, buf );
 				
 				g_free( sb->who );
@@ -384,5 +384,5 @@
 			if( num == tot )
 			{
-				add_chat_buddy( sb->chat, gc->username );
+				add_chat_buddy( sb->chat, ic->username );
 			}
 		}
@@ -529,5 +529,5 @@
 		
 		g_snprintf( buf, sizeof( buf ), "Error reported by switchboard server: %s", err->text );
-		do_error_dialog( gc, buf, "MSN" );
+		do_error_dialog( ic, buf, "MSN" );
 		
 		if( err->flags & STATUS_SB_FATAL )
@@ -538,5 +538,5 @@
 		else if( err->flags & STATUS_FATAL )
 		{
-			signoff( gc );
+			signoff( ic );
 			return 0;
 		}
@@ -579,5 +579,5 @@
 {
 	struct msn_switchboard *sb = data;
-	struct gaim_connection *gc = sb->gc;
+	struct im_connection *ic = sb->ic;
 	char *body;
 	int blen = 0;
@@ -608,5 +608,5 @@
 			if( sb->who )
 			{
-				serv_got_im( gc, cmd[1], body, 0, 0, blen );
+				serv_got_im( ic, cmd[1], body, 0, 0, blen );
 			}
 			else if( sb->chat )
@@ -667,5 +667,5 @@
 			if( sb->who )
 			{
-				serv_got_im( gc, cmd[1], buf, 0, 0, strlen( buf ) );
+				serv_got_im( ic, cmd[1], buf, 0, 0, strlen( buf ) );
 			}
 			else if( sb->chat )
@@ -684,5 +684,5 @@
 			if( who )
 			{
-				serv_got_typing( gc, who, 5, 1 );
+				serv_got_typing( ic, who, 5, 1 );
 				g_free( who );
 			}
